# $Revision: 1.7 $, $Date: 2011/11/18 08:52:11 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Any
%define	pnam	Moose
Summary:	use Moose or Mouse modules
#Summary(pl.UTF-8):
Name:		perl-Any-Moose
Version:	0.18
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/S/SA/SARTAK/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3b03e7c3e2593005105aa8347f9571d5
URL:		http://search.cpan.org/dist/Any-Moose/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Mouse >= 0.21
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Actual documentation is forthcoming, once we solidify all the bits of
the API. The examples above are very likely to continue working.

# %description -l pl.UTF-8

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Any/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Any-Moose.spec,v $
Revision 1.7  2011/11/18 08:52:11  lisu
- 0.18

Revision 1.6  2011/05/11 04:23:29  aredridel
- 0.14

Revision 1.5  2010/04/07 06:25:52  amateja
- updated to 0.12

Revision 1.4  2010/03/11 12:05:42  amateja
- updated to 0.11

Revision 1.3  2009/08/27 08:45:24  amateja
- updated to 0.10
- Source0: URL changed

Revision 1.2  2009/06/16 12:40:25  amateja
- updated Source0 URL

Revision 1.1  2009/06/16 10:19:15  amateja
- initial

